#!/bin/bash -e
###############################################################################

set -o pipefail

###############################################################################

hash aurpkg
hash pacman
hash pacman-key

###############################################################################

echo "- Initialising Pacman keys..."

###############################################################################

sudo pacman-key --init

###############################################################################

echo "- Refreshing Pacman..."

###############################################################################

sudo pacman -Syu --noconfirm

###############################################################################

if [ -n "${AUR_PACKAGES}" ]; then
  echo "- Installing AUR dependencies..."
  for AUR_PACKAGE in ${AUR_PACKAGES}; do
    echo "  - Installing AUR package: ${AUR_PACKAGE}"
    aurpkg "${AUR_PACKAGE}"
  done
fi

###############################################################################

echo "- Running makepkg..."

###############################################################################

exec makepkg "${@}"

###############################################################################
